> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Create Custom Status > Create a custom user status. Permission required: `manage-user-status` ### Changelog | Version | Description | | ---------------- | ------------| |2.4.0 | Added | ## OpenAPI ````json POST /api/v1/custom-user-status.create { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Content Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Assets" }, { "name": "Custom Emoji" }, { "name": "Custom Sounds" }, { "name": "Custom User Status" } ], "paths": { "/api/v1/custom-user-status.create": { "post": { "tags": [ "Custom User Status" ], "summary": "Create Custom Status", "description": "Create a custom user status. Permission required: `manage-user-status`\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|2.4.0 | Added |\n", "operationId": "post-api-v1-custom-user-status.create", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "name": { "type": "string", "description": "The name of the custom status." }, "statusType": { "type": "string", "description": "The `statusType` of the custom status. Valid status type includes: `Online`, `Busy`, `Away`, `Offline`." } }, "required": [ "name", "statusType" ] }, "examples": { "Example": { "value": { "name": "caught up", "statusType": "busy" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "customUserStatus": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "statusType": { "type": "string" }, "_updatedAt": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "customUserStatus": { "_id": "65462e97a2f73c7460e18f84", "name": "caught up", "statusType": "busy", "_updatedAt": "2023-11-04T11:44:23.366Z" }, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" }, "details": { "type": "object", "properties": { "method": { "type": "string" } } } } }, "examples": { "Missing Name Param": { "value": { "success": false, "error": "The field Name is required [error-the-field-is-required]", "errorType": "error-the-field-is-required", "details": { "method": "insertOrUpdateUserStatus", "field": "Name" } } }, "Status name already in use": { "value": { "success": false, "error": "The custom user status name is already in use [Custom_User_Status_Error_Name_Already_In_Use]", "errorType": "Custom_User_Status_Error_Name_Already_In_Use", "details": { "method": "insertOrUpdateUserStatus" } } }, "Invalid Status Type": { "value": { "success": false, "error": "Offline is not a valid status type [error-input-is-not-a-valid-field]", "errorType": "error-input-is-not-a-valid-field", "details": { "method": "insertOrUpdateUserStatus", "input": "Offline", "field": "StatusType" } } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````